[pkg-boinc-commits] r485 - /scripts/extract-pos.sh

fst-guest at users.alioth.debian.org fst-guest at users.alioth.debian.org
Tue Jul 25 12:31:25 UTC 2006


Author: fst-guest
Date: Tue Jul 25 12:31:24 2006
New Revision: 485

URL: http://svn.debian.org/wsvn/pkg-boinc/?sc=1&rev=485
Log:
Added a script that extracts BM's PO files from the BOINC source directory,
renames them to more common name and pack them all in a tarball. This is
useful when importing translations into Rosetta.

Added:
    scripts/extract-pos.sh   (with props)

Added: scripts/extract-pos.sh
URL: http://svn.debian.org/wsvn/pkg-boinc/scripts/extract-pos.sh?rev=485&op=file
==============================================================================
--- scripts/extract-pos.sh (added)
+++ scripts/extract-pos.sh Tue Jul 25 12:31:24 2006
@@ -1,0 +1,17 @@
+#!/bin/sh
+# $Id$
+
+set -e
+
+LOCALE_DIR="$1"
+
+for XX in `ls $LOCALE_DIR`; do
+    BM_PO="$LOCALE_DIR/$XX/BOINC Manager.po"
+    if [ -f "$BM_PO" ]; then
+        cp "$BM_PO" "$XX.po"
+        chmod 0644 "$XX.po"
+    fi
+done
+
+mv "en_US.po" "boinc-manager.pot"
+tar -jcf bm-translations.tar.bz2 *.po *.pot

Propchange: scripts/extract-pos.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: scripts/extract-pos.sh
------------------------------------------------------------------------------
    svn:keywords = Id




More information about the pkg-boinc-commits mailing list